EDIT - bug #7342

incomplete bean initialization with specific data causes LIEs
04/04/2018 02:23 PM - Katja Luther

Status: Worksforme Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdmlib-remote Estimated time: 0:00 hour

Target version:

Severity: critical Found in Version:

Description

this has been observed at the salvador portal where a lot of functionality is broken due to LazyInitializationException which happen
lately:

potentially a duplicate of #7331 yet unconfirmed
® does not return data for search
e opening the taxa returns "Taxon does not exist"

e expand ANGIOSPERMAE in the taxontree does not work, expand GYMNOSPERMAE works, but the children can not be
expanded

affected web service calls with the resulting LazylnitializationException

http://api.cybertaxonomy.org/salvador/portal/taxon/find.json?doTaxaByCommonNames=0&doMisappliedNames=0&doSynonyms=0&
doTaxa=1&pageNumber=0&pageSize=25&query=A*

Caused by: org.hibernate.LazyInitializationException: failed to lazily initialize a collection of
role: eu.etaxonomy.cdm.model.agent.Team.teamMembers, could not initialize proxy - no Session

at org.hibernate.collection.internal.AbstractPersistentCollection.throwLazyInitializationExcep
tion (AbstractPersistentCollection.java:567)

at org.hibernate.collection.internal.AbstractPersistentCollection.withTemporarySessionIfNeeded
(AbstractPersistentCollection. java:205)

at org.hibernate.collection.internal.AbstractPersistentCollection.initialize (AbstractPersisten
tCollection. java:546)

at org.hibernate.collection.internal.AbstractPersistentCollection.read (AbstractPersistentColle
ction.java:133)

at org.hibernate.collection.internal.PersistentlList.iterator (PersistentList. java:132)

at eu.etaxonomy.cdm.strategy.cache.agent.TeamDefaultCacheStrategy.getNomenclaturalTitle (TeamDe
faultCacheStrategy. java:83)

at eu.etaxonomy.cdm.strategy.cache.agent.TeamDefaultCacheStrategy.getNomenclaturalTitle (TeamDe
faultCacheStrategy. java:1)

at eu.etaxonomy.cdm.model.agent.Team.getNomenclaturalTitle (Team. java:261)

at sun.reflect.GeneratedMethodAccessor7586.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.hibernate.proxy.pojo.javassist.JavassistLazyInitializer.invoke (JavassistLazyInitializer
.Java:79)

at eu.etaxonomy.cdm.model.agent.TeamOrPersonBase_$$_jvst73e_61.getNomenclaturalTitle (TeamOrPer
sonBase_$$_jvst73e_61.java)

at eu.etaxonomy.cdm.strategy.cache.name.TaxonNameDefaultCacheStrategy.getAuthorAndExAuthor (Tax
onNameDefaultCacheStrategy.java:260)

at eu.etaxonomy.cdm.strategy.cache.name.TaxonNameDefaultCacheStrategy.getNonCacheAuthorshipCac
he (TaxonNameDefaultCacheStrategy.java:202)

at eu.etaxonomy.cdm.strategy.cache.name.TaxonNameDefaultCacheStrategy.getAuthorshipCache (Taxon
NameDefaultCacheStrategy.java:176)

at eu.etaxonomy.cdm.strategy.cache.name.TaxonNameDefaultCacheStrategy.getTaggedTitle (TaxonName
DefaultCacheStrategy.java:413)

at eu.etaxonomy.cdm.model.name.TaxonName.getTaggedName (TaxonName. java:1427)

at eu.etaxonomy.cdm.remote.json.processor.bean.TaxonNameBeanProcessor.processBeanSecondStep (Ta
xonNameBeanProcessor. java: 66)

at eu.etaxonomy.cdm.remote.json.processor.bean.TaxonNameBeanProcessor.processBeanSecondStep (Ta
xonNameBeanProcessor. java:25)

at

eu.etaxonomy.cdm.remote. json.processor.bean.AbstractBeanProcessor.processBean (AbstractBeanP

rocessor. java:167)

at

net.sf.json.JSONObject._fromBean (JSONObject.java:676)

http://api.cybertaxonomy.org/salvador/portal/taxon/33b0cde7-a693-4dfd-a67d-b6ac52b78742/taxonNodes.json

Caused by: org.hibernate.lLazyInitializationException: could not initialize proxy - no Session

at
at
at
at
at

org.hibernate.proxy.AbstractlLazyInitializer.initialize (AbstractLazyInitializer.java:148)
org.hibernate.Hibernate.initialize (Hibernate.java:62)
eu.etaxonomy.cdm.hibernate.HibernateProxyHelper.deproxy (HibernateProxyHelper. java:58)
eu.etaxonomy.cdm.model.common.CdmBase.deproxy (CdmBase. java:306)
eu.etaxonomy.cdm.strategy.cache.taxon.TaxonBaseDefaultCacheStrategy.getNameTags (TaxonBaseDe

faultCacheStrategy. java:95)

at

eu.etaxonomy.cdm.strategy.cache.taxon.TaxonBaseDefaultCacheStrategy.getTaggedTitle (TaxonBas

eDefaultCacheStrategy. java:65)

at
at

eu.etaxonomy.cdm.model.taxon.TaxonBase.getTaggedTitle (TaxonBase. java:221)
eu.etaxonomy.cdm.remote. json.processor.bean.TaxonBaseBeanProcessor.processBeanSecondStep (Ta

xonBaseBeanProcessor. java:54)

at

eu.etaxonomy.cdm.remote. json.processor.bean.TaxonBaseBeanProcessor.processBeanSecondStep (Ta

xonBaseBeanProcessor. java:25)

at

eu.etaxonomy.cdm.remote.json.processor.bean.AbstractBeanProcessor.processBean (AbstractBeanP

rocessor.java:167)

at

net.sf.json.JSONObject._fromBean (JSONObject. java:676)

Related issues:

Related to EDIT - bug #7331: AdvancedBeanlnitializer fails to initialize prop... New

Associated revisions

Revision c155ce7d - 11/04/2021 12:26 PM - Andreas Miiller

ref #7342 add statusNote to taxonNodes init strategy (just in case as locally | got NPE)

History

#1 - 04/04/2018 02:28 PM - Katja Luther

- Description updated

#2 - 04/04/2018 02:32 PM - Katja Luther

for example portal/classification/b010c84d-6049-45f4-9f13-c065101eaa26/childNodesOf/a7d542c5-1ae2-4edd-9f46-445b9b7{6f0c fails with
lazyLoadingException - no Session (all clicks for opening a taxon result in LazylnitiolisationExceptions)

clicking on ANGIOSPERMAE results in:

"This concept of the taxon ANGIOSPERMAE sec. Berendsohn & al. 2009-2016 is not contained as an accepted taxon in the currently chosen
classification, but in this one: Nova Silva Cuscatlanica" but "Nova Silva Cuscatlanica" is the default classification and there is only one classification.

#3 - 04/04/2018 02:48 PM - Katja Luther

- Related to bug #7331: AdvancedBeanlnitializer fails to initialize properties of preinitialized beans in the graph in very special situations added

#4 - 04/05/2018 08:40 AM - Andreas Kohlbecker

- Tags set to salvador

- Subject changed from Salvador portal does not return data to incomplete bean initialization with specific data

- Description updated

- Category set to cdmlib-remote

#5 - 04/05/2018 08:51 AM - Andreas Kohlbecker

- Description updated

#6 - 04/05/2018 08:57 AM - Andreas Kohlbecker

- Description updated

#7 - 04/05/2018 11:46 AM - Andreas Kohlbecker

- Subject changed from incomplete bean initialization with specific data to incomplete bean initialization with specific data causes LIEs
http://api.cybertaxonomy.org/salvador/portal/taxon/33b0cde7-a693-4dfd-a67d-b6ac52b78742/taxonNodes.json

ich habe den cdm-server heute morgen um 2018-04-05 08:51:14 neu gestartet, weil der swap-space wieder mal sehr stark beansprucht war. Vorher
hatte ich noch dieses Ticket um Stackiraces erganzt. Seit dem ist das Problem anscheinen verschwunden.

Tritt das Problem mdglicherweise dann auf, wenn der Server zu stark belastet ist?

#8 - 05/17/2018 02:25 PM - Andreas Miiller

- Target version changed from Release 5.0 to Release 5.1

#9 - 06/28/2018 12:08 AM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#10 - 08/17/2018 03:52 PM - Andreas Miiller

- Target version changed from Release 5.2 to Release 5.3

#11 - 09/06/2018 08:55 PM - Katja Luther

- Target version changed from Release 5.3 to Release 5.4

#12 - 10/23/2018 10:41 AM - Andreas Miller

- Target version changed from Release 5.4 to Release 5.5

#13 - 02/19/2019 02:44 PM - Andreas Miiller

- Target version changed from Release 5.5 to Release 5.6

#14 - 02/19/2019 03:13 PM - Andreas Miiller

- Target version changed from Release 5.6 to Reviewed Next Major Release

#15 - 11/04/2021 12:28 PM - Andreas Miiller
- Status changed from New to Resolved
- Assignee changed from Katja Luther to Andreas Kohlbecker

- Target version changed from Reviewed Next Major Release to Release 5.45

As | can't reproduce any of the LIEs anymore | suggest to close this ticket as worksforme (and remove target version). Instead reopen new ticket if the
problem occurs again.

#16 - 12/09/2021 10:26 AM - Andreas Kohlbecker
- Status changed from Resolved to Worksforme

- Target version deleted (Release 5.45)

Files
